/**
 * @file
 * Javascript file that performs the image path manipulations.
 */
(function ($) {
  // Attaching to Drupal behaviors
  Drupal.behaviors.imgfly_js = {
    attach: function (context, settings) {
      $('.imgfly-placeholder').each(function() {
        var imgSrc = $(this).attr('data-src');
        var aspect = $(this).attr('data-aspect');
        var filesPath = imgSrc.match(/\/sites\/.+\/files\//);
        var imgWidth = $(this).width();
        var imgHeight = (aspect > 0) ? Math.round(imgWidth / aspect) : $(this).height();

        if (imgSrc.indexOf(filesPath[0]) != -1) {
          imgSrc = imgSrc.replace(filesPath[0], '/imgfly/' + imgWidth + '/' + imgHeight + '/');
          $(this).attr('src', imgSrc);
        }
      });
    }
  };
}(jQuery));
